#ifndef FREQSWITCHERFORM_H
#define FREQSWITCHERFORM_H

#include <QWidget>
#include "device/FreqSwitcher.h"

namespace Ui {
class FreqSwitcherForm;
}

class FreqSwitcherForm : public QWidget
{
    Q_OBJECT

public:
    explicit FreqSwitcherForm(QWidget *parent = nullptr);
    ~FreqSwitcherForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_freqSwiButt_clicked();

private:
    Ui::FreqSwitcherForm *ui;
};

#endif // FREQSWITCHERFORM_H
